baseURL: "https://denyskon.de/"
title: Denys Konovalov
paginate: 5
theme: github.com/adityatelange/hugo-PaperMod

markdown:
  defaultMarkdownHandler: goldmark
  goldmark:
    renderer:
      unsafe: true

enableRobotsTXT: true
buildDrafts: false
buildFuture: false
buildExpired: false

minify:
  disableXML: true
  minifyOutput: true

params:
  env: production # to enable google analytics, opengraph, twitter-cards and schema.
  title: Denys Konovalov
  description: "This is my personal website where I share guides and tips which could've helped me if they existed prior :)"
  keywords: [Blog]
  author: Denys Konovalov
  DateFormat: "2 January 2006"
  defaultTheme: auto
  disableThemeToggle: false

  ShowReadingTime: true
  ShowShareButtons: false
  ShowPostNavLinks: true
  ShowBreadCrumbs: true
  ShowCodeCopyButtons: false
  ShowWordCount: true
  ShowRssButtonInSectionTermList: true
  UseHugoToc: true
  disableSpecial1stPost: false
  disableScrollToTop: false
  comments: true
  hidemeta: false
  hideSummary: false
  showtoc: false
  tocopen: false

  assets:
    # disableHLJS: true # to disable highlight.js
    disableFingerprinting: true
    favicon: "favicon.png"
    favicon16x16: "favicon-16.ico"
    favicon32x32: "favicon-32.ico"
    apple_touch_icon: "favicon.png"
    safari_pinned_tab: "favicon.png"

  label:
    text: "denyskon"
    icon: /favicon.png
    iconHeight: 35

  # profile-mode
  profileMode:
    enabled: true # needs to be explicitly set
    title: "Hi there \U0001F44B"
    subtitle: |
      I'm Denys Konovalov     
      developer | Gitea maintainer | system administrator | Linux & Open Source enthusiast
    imageUrl: "/avatar.jpg"
    imageWidth: 128
    imageHeight: 128
    buttons:
      - name: Posts
        url: posts
      - name: Tags
        url: tags

  # home-info mode
  homeInfoParams:
    Title: "Hi there \U0001F44B"
    Content: | 
      I'm Denys Konovalov     
      developer | Gitea maintainer | system administrator | Linux & Open Source enthusiast

  socialIcons:
    - name: twitter
      url: "https://twitter.com/denyskon"
    - name: mastodon
      url: "https://chaos.social/@denyskon"
    - name: github
      url: "https://github.com/denyskon"
    - name: gitea
      url: "https://gitea.com/denyskon"
    - name: gitea
      url: "https://git.denyskon.de/denyskon"

  cover:
    hidden: true # hide everywhere but not in structured data
    hiddenInList: true # hide on list pages and home
    hiddenInSingle: true # hide on single page

  editPost:
    URL: "https://git.denyskon.de/denyskon/website/tree/main/content/"
    Text: "Suggest Changes" # edit text
    appendFilePath: true # to append file path to Edit link

  # for search
  # https://fusejs.io/api/options.html
  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    keys: ["title", "permalink", "summary", "content"]
menu:
  main:
    - identifier: categories
      name: Categories
      url: /categories/
      weight: 10
    - identifier: tags
      name: Tags
      url: /tags/
      weight: 20
    - identifier: archives
      name: "Archives"
      url: /archives/
      weight: 30
    - identifier: search
      name: "Search"
      url: /search/
      weight: 30
# Read: https://github.com/adityatelange/hugo-PaperMod/wiki/FAQs#using-hugos-syntax-highlighter-chroma
pygmentsUseClasses: true
markup:
  highlight:
    noClasses: false
    # anchorLineNos: true
    # codeFences: true
    # guessSyntax: true
    # lineNos: true
    # style: monokai

outputs:
    home:
        - HTML
        - RSS
        - JSON

module:
  imports:
  - path: github.com/adityatelange/hugo-PaperMod
